import Service from '../lib/service.js'
import axios from 'axios'
import Config from '../config'

class MarketingService extends Service {
  constructor() {
    super()
    axios.defaults.baseURL = Config.Host85
  }
  // 审核邮箱add
  async emailAdd(params = {}) {
    return await this.post('/approve/email/add', params)
  }

  // 审核邮箱update
  async emailUpdate(params = {}) {
    return await this.post('/approve/email/update', params)
  }
  //获取国家列表
  async Country(params = {}) {
    return await this.post('/country/get', params)
  }
}
export default new MarketingService()
